Name:           tbftss
Version:        1.1
Release:        %mkrel 1
Summary:        The Battle for the Solar System: The Pandoran War
Group:          Games/Shooter
# Nonfree due to the NC clause on art assets
License:        GPLv2+ and CC-BY-NC-SA 3.0
URL:            http://www.battleforthesolarsystem.com/games/pw
Source0:        https://github.com/stephenjsweeney/tbftss/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         tbftss-0.9-mga-ldflags.patch

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)

%description
The Pandoran War is a 2D mission-based space shooter set in the universe
of the space opera novel trilogy 'The Battle for the Solar System'.
The game features many missions, with many different objectives and craft.

%prep
%setup -q
%autopatch -p1

# Fix REVISION relying on git
sed -i -e 's/^REVISION = .*/REVISION = 0/' common.mk

%build
export CFLAGS='%{optflags} -Wno-error=unused-result'
export LDFLAGS='%{ldflags}'
%make_build \
    DATA_DIR=%{_gamesdatadir}/%{name}

%install
%make_install \
    BIN_DIR=%{_gamesbindir} \
    DATA_DIR=%{_gamesdatadir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc README.md README_DEV.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Oct 29 2016 akien <akien> 1.1-1.mga6
+ Revision: 1064036
- Version 1.1

* Sat Aug 13 2016 akien <akien> 1.0-1.mga6.nonfree
+ Revision: 1046358
- Version 1.0

* Wed Jun 29 2016 akien <akien> 0.9-1.mga6.nonfree
+ Revision: 1038076
- Version 0.9

* Mon May 16 2016 akien <akien> 0.7-1.mga6.nonfree
+ Revision: 1016179
- imported package tbftss

